RETROARCH-JOYCONFIG(1)

NAME
retroarch-joyconfig - Tool to configure joypad bindings for retroarch.

SYNOPSIS
retroarch-joyconfig [OPTIONS]...

DESCRIPTION
retroarch-joyconfig is a simple tool that allows updating or creating a configuration file for retroarch. It reads in necessary joypad bindings for a certain user and joypad.

EXAMPLE COMMANDLINES

Configure joypad for user 1, using first joypad. Configuration is dumped to a file.
    retroarch-joyconfig -p 1 -j 0 -o inputconfig.cfg

Configure joypad for user 1, using first joypad. Update retroarch.cfg directly.
    retroarch-joyconfig -p 1 -j 0 -i retroarch.cfg -o retroarch.cfg

Configure joypad for user 1, using first joypad. Configuration is dumped to stdout.
    retroarch-joyconfig -p 1 -j 0

Create an autoconfig file using first joypad.
    retroarch-joyconfig -j 0 -a ~/.config/retroarch/autoconfig/pad.cfg

GENERAL OPTIONS

--player PLAYER, -p PLAYER
    Configuration will be done for the user PLAYER. This can be from 1 up to and including 5 (multitap). Default is configuration for user 1.

--joypad PAD, -j PAD
    Which joypad to use when configuring. Use a numeric indexing. Default here is 0 (first joypad).

--driver DRIVER, -d DRIVER
    Uses a particular joypad driver instead of the first available one.

--input PATH, -i PATH
    Use config file found in PATH as a base. Old configuration values can be overwritten by new values when configuring binds. If not used, an empty config file will be used as a base. Using this option only does not update the file found in PATH.

--output PATH, -o PATH
    Writes the final config to a file, rather than stdout. If -i and -o point to the same file, the file found in PATH will simply be updated with the new configs.

-a PATH, --autoconfig PATH
    Also writes an autoconfigure file for the joypad which was configured. It can be used by RetroArch to automatically configure a joypad when it's plugged in.

--misc, -m
    Also configure some binds that aren't directly related to RetroPad, such as save states, menu toggle, etc. Only configures some of the most useful binds.

--allmisc, -M
    Same as --misc, but goes through every bind available (40+). Very exhaustive.

-t SECONDS, --timeout SECONDS
    Adds a timeout of N seconds to each bind. If timed out, the bind will not be used.

--help, -h
    Prints help message.

SEE ALSO
retroarch(1)